
Ruby - Feature #679

Integer#to_s(:step=>3, :sep=>",") が欲しい

10/23/2008 02:56 PM - xibbar (Takeyuki FUJIOKA)

Status: Rejected   

Priority: Normal   

Assignee: matz (Yukihiro Matsumoto)   

Target version: 2.0.0   

Description

=begin

これはIntegerをStringに変換するときに

12345678.to_s(:step=>3,:sep=>",") #=> "1,2345,678"

12345678.to_s(:step=>4,:sep=>"'") #=> "1234'5678"

となるものです。

こちらはいかがでしょう？

=end

History

#1 - 10/23/2008 04:33 PM - duerst (Martin Dürst)

=begin

最初の例は "12,345,678" のではないでしょうか。

これではインド風の表記が不可能ではないでしょうか ("1,23,45,678", ようするに一番右には三つ、その左は二つずつ)。

Integer だけではなく、他の数はどうでしょうか。

=end

#2 - 10/23/2008 09:27 PM - naruse (Yui NARUSE)

=begin

成瀬です。

最初の例は "12,345,678" のではないでしょうか。

これではインド風の表記が不可能ではないでしょうか

("1,23,45,678", ようするに一番右には三つ、その左は二つずつ)。

 POSIX C の仕様を真似て、

12345678.to_s(:step=>[3, 2, 0], :sep=>",") #=> "1,23,45,678"

とか

12345678.to_s(:step=>"320", :sep=>",") #=> "1,23,45,678"

とか

あとは、:step より :grouping ですかねぇ。

--

NARUSE, Yui  naruse@airemix.jp

=end

#3 - 11/29/2008 04:27 PM - ko1 (Koichi Sasada)

- Assignee set to matz (Yukihiro Matsumoto)

=begin

=end

#4 - 09/14/2010 04:52 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

=begin
=end

#5 - 02/07/2012 11:53 PM - mame (Yusuke Endoh)

- Status changed from Assigned to Rejected

長期間進展がみられないので閉じます。[ruby-core:42391] を参照。

--

Yusuke Endoh mame@tsg.ne.jp
